DevToolPal
UK

Перевірка синтаксису email-адрес

Перевірте синтаксис однієї чи багатьох email-адрес, знайдіть типові помилки в доменах і приберіть дублікати. Лише перевірка формату, без запитів до поштових скриньок.

Працює локально, нічого не завантажується на сервер

Параметри

Показати

Email-адреси (по одній у рядку)

0 симв. · 0 B

Перевірка синтаксису

Тут з’явиться результат

Що робить інструмент

Цей інструмент перевіряє, чи правильно записано email-адреси. Вставте одну адресу чи цілий список — і кожну буде позначено як коректну чи некоректну з поясненням причини: немає @, дві крапки поспіль, домен без крапки чи недопустимий символ. Він корисний, щоб почистити список розсилки перед імпортом, перевірити правила валідації форми або знайти той єдиний зламаний рядок в експорті CSV.

Перевіряється лише формат. Інструмент не звертається до жодного поштового сервера, тож не може сказати, чи існує скринька і чи приймає вона пошту.

Як користуватися

  1. Вставте адреси в поле вхідних даних, по одній у рядку. Коми й крапки з комою теж працюють як роздільники, тож можна просто вставити рядок «Кому:».
  2. Результати з’являються під час введення разом зі зведенням: скільки адрес коректні, а скільки ні.
  3. За допомогою Показати виведіть усі, лише коректні або лише некоректні адреси. Прибрати дублікати видаляє повтори; домен порівнюється без урахування регістру.
  4. Натисніть Копіювати коректні, щоб скопіювати чистий список, по одній адресі в рядку.

Відображувані імена теж обробляються: Bob Smith <bob@example.com> перевіряється як bob@example.com з приміткою, що ім’я прибрано.

Що перевіряється

  • Рівно один @ (поза лапками), з непорожніми частинами з обох боків.
  • Уся адреса — не довша за 254 символи, а частина перед @ — не довша за 64.
  • Локальна частина складається з допустимих символів, без крапок на початку, у кінці чи подвоєних. Локальні частини в лапках, як-от "john doe"@example.org, допускаються з попередженням.
  • Домен має щонайменше дві мітки по 1–63 символи з літер, цифр і дефісів, що не починаються й не закінчуються дефісом, і правдоподібний домен верхнього рівня. IP-літерали на кшталт admin@[192.168.0.1] допускаються з попередженням.
  • Для типових помилок у написанні популярних доменів, як-от gmial.com чи qq.con, з’являється підказка «можливо, ви мали на увазі».

Приклад

alice@example.com        valid
lisi@gmial.com           valid, did you mean lisi@gmail.com?
two@@example.com         invalid: more than one @
user@localhost           invalid: domain needs a dot
用户@例子.中国            valid, internationalized address

Часті запитання

› Чи перевіряє інструмент, що поштова скринька існує?

Ні. Це лише перевірка синтаксису. Інструмент не шукає поштові сервери домену й не звертається до них, тож адреса може пройти тут і все одно повернути лист. Щоб підтвердити скриньку, потрібен сервер, а єдиний надійний спосіб — надіслати лист із підтвердженням.

› Чи завантажуються адреси на сервер?

Ні. Кожна перевірка виконується у вашому браузері, тож ваші списки розсилок ніколи не залишають пристрій.

› Яких правил він дотримується?

Синтаксису адрес з RFC 5321 і RFC 5322, а також інтернаціоналізованих адрес з RFC 6531. Застарілі форми, як-от коментарі всередині адрес, відхиляються, бо їх не приймає майже жодна поштова система.

› Чому коректна адреса позначена попередженням?

Деякі адреси допустимі, але ризиковані: ймовірна одруківка на кшталт gmial.com, IP-адреса замість домену, локальна частина в лапках або символи поза ASCII, які деякі сервери відхиляють. Така адреса все одно вважається коректною.